---
Checks:          'clang-diagnostic-*,clang-analyzer-*,-*,clang-*,cppcoreguidelines-avoid-goto,cppcoreguidelines-avoid-magic-numbers,cppcoreguidelines-narrowing-conversions,cppcoreguidelines-no-malloc,cppcoreguidelines-pro-type-cstyle-cast,cppcoreguidelines-pro-type-static-cast-downcast,cppcoreguidelines-pro-type-union-access,linuxkernel-*,llvm-include-order,misc-definitions-in-headers,misc-new-delete-overloads,misc-non-copyable-objects,misc-uniqueptr-reset-release,modernize-deprecated-headers,modernize-loop-convert,modernize-make-*,modernize-replace-auto-ptr,modernize-use-auto,modernize-use-emplace,modernize-use-equals-*,modernize-use-nodiscard,modernize-use-noexcept,modernize-use-nullptr,modernize-use-override,modernize-use-uncaught-exceptions,performance-faster-string-find,performance-for-range-copy,performance-move-const-arg,performance-noexcept-move-constructor,performance-unnecessary-*,portability-*,readability-avoid-const-params-in-decls,readability-convert-member-functions-to-static,readability-else-after-return,readability-identifier-naming,readability-implicit-bool-conversion,readability-inconsistent-declaration-parameter-name,readability-isolate-declaration,readability-magic-numbers,readability-make-member-function-const,readability-misleading-indentation,readability-misplaced-array-index,readability-non-const-parameter,readability-redundant-control-flow,readability-redundant-smartptr-get,readability-redundant-string-cstr,readability-simplify-*,readability-uniqueptr-delete-release'
WarningsAsErrors: ''
HeaderFilterRegex: ''
AnalyzeTemporaryDtors: false
FormatStyle:     file
User:            sr_team
CheckOptions:
  - key:             performance-unnecessary-copy-initialization.ExcludedContainerTypes
    value:           ''
  - key:             modernize-replace-auto-ptr.IncludeStyle
    value:           llvm
  - key:             performance-move-const-arg.CheckTriviallyCopyableMove
    value:           'true'
  - key:             modernize-use-auto.MinTypeNameLength
    value:           '5'
  - key:             readability-simplify-boolean-expr.ChainedConditionalAssignment
    value:           'false'
  - key:             cppcoreguidelines-avoid-magic-numbers.IgnoreAllFloatingPointValues
    value:           'false'
  - key:             cert-oop54-cpp.WarnOnlyIfThisHasSuspiciousField
    value:           'false'
  - key:             modernize-use-override.IgnoreDestructors
    value:           'false'
  - key:             cert-dcl16-c.NewSuffixes
    value:           'L;LL;LU;LLU'
  - key:             modernize-make-shared.MakeSmartPtrFunction
    value:           'std::make_shared'
  - key:             modernize-loop-convert.MaxCopySize
    value:           '16'
  - key:             readability-identifier-naming.GetConfigPerFile
    value:           'true'
  - key:             readability-inconsistent-declaration-parameter-name.Strict
    value:           'false'
  - key:             portability-simd-intrinsics.Suggest
    value:           'false'
  - key:             cppcoreguidelines-no-malloc.Reallocations
    value:           '::realloc'
  - key:             cppcoreguidelines-explicit-virtual-functions.IgnoreDestructors
    value:           'true'
  - key:             modernize-make-unique.IgnoreMacros
    value:           'true'
  - key:             performance-for-range-copy.AllowedTypes
    value:           ''
  - key:             modernize-make-shared.MakeSmartPtrFunctionHeader
    value:           '<memory>'
  - key:             cppcoreguidelines-no-malloc.Deallocations
    value:           '::free'
  - key:             modernize-make-unique.IgnoreDefaultInitialization
    value:           'true'
  - key:             modernize-use-emplace.ContainersWithPushBack
    value:           '::std::vector;::std::list;::std::deque'
  - key:             readability-magic-numbers.IgnoreBitFieldsWidths
    value:           'true'
  - key:             modernize-use-override.AllowOverrideAndFinal
    value:           'false'
  - key:             modernize-make-unique.IncludeStyle
    value:           llvm
  - key:             modernize-use-override.OverrideSpelling
    value:           override
  - key:             cppcoreguidelines-narrowing-conversions.IgnoreConversionFromTypes
    value:           ''
  - key:             readability-simplify-subscript-expr.Types
    value:           '::std::basic_string;::std::basic_string_view;::std::vector;::std::array'
  - key:             readability-magic-numbers.IgnoredFloatingPointValues
    value:           '1.0;100.0;'
  - key:             cert-str34-c.DiagnoseSignedUnsignedCharComparisons
    value:           'false'
  - key:             readability-implicit-bool-conversion.AllowPointerConditions
    value:           'false'
  - key:             readability-identifier-naming.AggressiveDependentMemberLookup
    value:           'false'
  - key:             google-readability-braces-around-statements.ShortStatementLines
    value:           '1'
  - key:             modernize-loop-convert.IncludeStyle
    value:           llvm
  - key:             modernize-make-unique.MakeSmartPtrFunction
    value:           'std::make_unique'
  - key:             misc-uniqueptr-reset-release.IncludeStyle
    value:           llvm
  - key:             portability-restrict-system-includes.Includes
    value:           '*'
  - key:             readability-redundant-smartptr-get.IgnoreMacros
    value:           'true'
  - key:             cppcoreguidelines-avoid-magic-numbers.IgnoredFloatingPointValues
    value:           '1.0;100.0;'
  - key:             modernize-use-emplace.IgnoreImplicitConstructors
    value:           'false'
  - key:             readability-else-after-return.WarnOnUnfixable
    value:           'true'
  - key:             modernize-make-unique.MakeSmartPtrFunctionHeader
    value:           '<memory>'
  - key:             modernize-use-equals-delete.IgnoreMacros
    value:           'true'
  - key:             modernize-use-emplace.TupleTypes
    value:           '::std::pair;::std::tuple'
  - key:             cppcoreguidelines-narrowing-conversions.WarnWithinTemplateInstantiation
    value:           'false'
  - key:             modernize-use-emplace.TupleMakeFunctions
    value:           '::std::make_pair;::std::make_tuple'
  - key:             readability-magic-numbers.IgnoreAllFloatingPointValues
    value:           'false'
  - key:             cppcoreguidelines-narrowing-conversions.WarnOnFloatingPointNarrowingConversion
    value:           'true'
  - key:             cppcoreguidelines-narrowing-conversions.WarnOnEquivalentBitWidth
    value:           'true'
  - key:             modernize-use-nodiscard.ReplacementString
    value:           '[[nodiscard]]'
  - key:             cppcoreguidelines-avoid-magic-numbers.IgnoredIntegerValues
    value:           '1;2;3;4;'
  - key:             modernize-loop-convert.MinConfidence
    value:           reasonable
  - key:             performance-unnecessary-value-param.AllowedTypes
    value:           ''
  - key:             readability-uniqueptr-delete-release.PreferResetCall
    value:           'false'
  - key:             misc-definitions-in-headers.UseHeaderFileExtension
    value:           'true'
  - key:             google-readability-namespace-comments.ShortNamespaceLines
    value:           '10'
  - key:             google-readability-namespace-comments.SpacesBeforeComments
    value:           '2'
  - key:             cppcoreguidelines-non-private-member-variables-in-classes.IgnoreClassesWithAllMemberVariablesBeingPublic
    value:           'true'
  - key:             cppcoreguidelines-avoid-magic-numbers.IgnoreBitFieldsWidths
    value:           'true'
  - key:             cppcoreguidelines-no-malloc.Allocations
    value:           '::malloc;::calloc'
  - key:             misc-definitions-in-headers.HeaderFileExtensions
    value:           ';h;hh;hpp;hxx'
  - key:             cppcoreguidelines-avoid-magic-numbers.IgnorePowersOf2IntegerValues
    value:           'false'
  - key:             performance-faster-string-find.StringLikeClasses
    value:           '::std::basic_string;::std::basic_string_view'
  - key:             modernize-loop-convert.MakeReverseRangeHeader
    value:           ''
  - key:             modernize-use-noexcept.UseNoexceptFalse
    value:           'true'
  - key:             modernize-loop-convert.UseCxx20ReverseRanges
    value:           'true'
  - key:             modernize-use-noexcept.ReplacementString
    value:           ''
  - key:             readability-implicit-bool-conversion.AllowIntegerConditions
    value:           'false'
  - key:             modernize-use-override.FinalSpelling
    value:           final
  - key:             readability-identifier-naming.IgnoreMainLikeFunctions
    value:           'false'
  - key:             llvm-qualified-auto.AddConstToQualified
    value:           'false'
  - key:             modernize-loop-convert.NamingStyle
    value:           CamelCase
  - key:             readability-identifier-naming.AbstractClassCase
    value:           CamelCase
  - key:             readability-identifier-naming.AbstractClassPrefix
    value:           I
  - key:             cppcoreguidelines-narrowing-conversions.WarnOnIntegerNarrowingConversion
    value:           'true'
  - key:             modernize-loop-convert.MakeReverseRangeFunction
    value:           ''
  - key:             readability-inconsistent-declaration-parameter-name.IgnoreMacros
    value:           'true'
  - key:             google-readability-function-size.StatementThreshold
    value:           '800'
  - key:             llvm-else-after-return.WarnOnConditionVariables
    value:           'false'
  - key:             performance-for-range-copy.WarnOnAllAutoCopies
    value:           'false'
  - key:             readability-identifier-naming.IgnoreFailedSplit
    value:           'false'
  - key:             modernize-pass-by-value.IncludeStyle
    value:           llvm
  - key:             modernize-use-equals-default.IgnoreMacros
    value:           'true'
  - key:             readability-simplify-boolean-expr.ChainedConditionalReturn
    value:           'false'
  - key:             readability-else-after-return.WarnOnConditionVariables
    value:           'true'
  - key:             modernize-use-nullptr.NullMacros
    value:           'NULL'
  - key:             modernize-use-emplace.SmartPointers
    value:           '::std::shared_ptr;::std::unique_ptr;::std::auto_ptr;::std::weak_ptr'
  - key:             readability-magic-numbers.IgnoredIntegerValues
    value:           '1;2;3;4;'
  - key:             modernize-use-auto.RemoveStars
    value:           'false'
  - key:             performance-unnecessary-copy-initialization.AllowedTypes
    value:           ''
  - key:             readability-magic-numbers.IgnorePowersOf2IntegerValues
    value:           'false'
  - key:             portability-simd-intrinsics.Std
    value:           ''
  - key:             cppcoreguidelines-narrowing-conversions.PedanticMode
    value:           'false'
  - key:             performance-unnecessary-value-param.IncludeStyle
    value:           llvm
  - key:             modernize-make-shared.IgnoreDefaultInitialization
    value:           'true'
  - key:             modernize-make-shared.IgnoreMacros
    value:           'true'
  - key:             llvm-else-after-return.WarnOnUnfixable
    value:           'false'
  - key:             modernize-make-shared.IncludeStyle
    value:           llvm
...

